Retrieve a Release request
Return the details of a Release request and its phone numbers.
GET
/
external_connections
/
{id}
/
releases
/
{release_id}
JavaScript
import Telnyx from 'telnyx';
const client = new Telnyx({
apiKey: process.env['TELNYX_API_KEY'], // This is the default and can be omitted
});
const release = await client.externalConnections.releases.retrieve(
'7b6a6449-b055-45a6-81f6-f6f0dffa4cc6',
{ id: '1293384261075731499' },
);
console.log(release.data);import os
from telnyx import Telnyx
client = Telnyx(
api_key=os.environ.get("TELNYX_API_KEY"), # This is the default and can be omitted
)
release = client.external_connections.releases.retrieve(
release_id="7b6a6449-b055-45a6-81f6-f6f0dffa4cc6",
id="1293384261075731499",
)
print(release.data)package main
import (
"context"
"fmt"
"github.com/team-telnyx/telnyx-go"
"github.com/team-telnyx/telnyx-go/option"
)
func main() {
client := telnyx.NewClient(
option.WithAPIKey("My API Key"),
)
release, err := client.ExternalConnections.Releases.Get(
context.TODO(),
"7b6a6449-b055-45a6-81f6-f6f0dffa4cc6",
telnyx.ExternalConnectionReleaseGetParams{
ID: "1293384261075731499",
},
)
if err != nil {
panic(err.Error())
}
fmt.Printf("%+v\n", release.Data)
}package com.telnyx.sdk.example;
import com.telnyx.sdk.client.TelnyxClient;
import com.telnyx.sdk.client.okhttp.TelnyxOkHttpClient;
import com.telnyx.sdk.models.externalconnections.releases.ReleaseRetrieveParams;
import com.telnyx.sdk.models.externalconnections.releases.ReleaseRetrieveResponse;
public final class Main {
private Main() {}
public static void main(String[] args) {
TelnyxClient client = TelnyxOkHttpClient.fromEnv();
ReleaseRetrieveParams params = ReleaseRetrieveParams.builder()
.id("1293384261075731499")
.releaseId("7b6a6449-b055-45a6-81f6-f6f0dffa4cc6")
.build();
ReleaseRetrieveResponse release = client.externalConnections().releases().retrieve(params);
}
}require "telnyx"
telnyx = Telnyx::Client.new(api_key: "My API Key")
release = telnyx.external_connections.releases.retrieve(
"7b6a6449-b055-45a6-81f6-f6f0dffa4cc6",
id: "1293384261075731499"
)
puts(release)<?php
require_once dirname(__DIR__) . '/vendor/autoload.php';
use Telnyx\Client;
use Telnyx\Core\Exceptions\APIException;
$client = new Client(apiKey: getenv('TELNYX_API_KEY') ?: 'My API Key');
try {
$release = $client->externalConnections->releases->retrieve(
'7b6a6449-b055-45a6-81f6-f6f0dffa4cc6', id: '1293384261075731499'
);
var_dump($release);
} catch (APIException $e) {
echo $e->getMessage();
}telnyx external-connections:releases retrieve \
--api-key 'My API Key' \
--id 1293384261075731499 \
--release-id 7b6a6449-b055-45a6-81f6-f6f0dffa4cc6curl --request GET \
--url https://api.telnyx.com/v2/external_connections/{id}/releases/{release_id} \
--header 'Authorization: Bearer <token>'{
"data": {
"ticket_id": "542c3bca-d247-42bc-8fe7-e01d16ecd761",
"tenant_id": "ea175aba-f47c-4702-9400-efaa42688048",
"status": "pending",
"error_message": "<string>",
"telephone_numbers": [
{
"phone_number": "<string>",
"number_id": "<string>"
}
],
"created_at": "2018-02-02T22:25:27.521Z"
}
}Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Path Parameters
Identifies the resource.
Example:
"1293384261075731499"
Identifies a Release request
Example:
"7b6a6449-b055-45a6-81f6-f6f0dffa4cc6"
Response
Successful response
Show child attributes
Show child attributes
Was this page helpful?
⌘I
JavaScript
import Telnyx from 'telnyx';
const client = new Telnyx({
apiKey: process.env['TELNYX_API_KEY'], // This is the default and can be omitted
});
const release = await client.externalConnections.releases.retrieve(
'7b6a6449-b055-45a6-81f6-f6f0dffa4cc6',
{ id: '1293384261075731499' },
);
console.log(release.data);import os
from telnyx import Telnyx
client = Telnyx(
api_key=os.environ.get("TELNYX_API_KEY"), # This is the default and can be omitted
)
release = client.external_connections.releases.retrieve(
release_id="7b6a6449-b055-45a6-81f6-f6f0dffa4cc6",
id="1293384261075731499",
)
print(release.data)package main
import (
"context"
"fmt"
"github.com/team-telnyx/telnyx-go"
"github.com/team-telnyx/telnyx-go/option"
)
func main() {
client := telnyx.NewClient(
option.WithAPIKey("My API Key"),
)
release, err := client.ExternalConnections.Releases.Get(
context.TODO(),
"7b6a6449-b055-45a6-81f6-f6f0dffa4cc6",
telnyx.ExternalConnectionReleaseGetParams{
ID: "1293384261075731499",
},
)
if err != nil {
panic(err.Error())
}
fmt.Printf("%+v\n", release.Data)
}package com.telnyx.sdk.example;
import com.telnyx.sdk.client.TelnyxClient;
import com.telnyx.sdk.client.okhttp.TelnyxOkHttpClient;
import com.telnyx.sdk.models.externalconnections.releases.ReleaseRetrieveParams;
import com.telnyx.sdk.models.externalconnections.releases.ReleaseRetrieveResponse;
public final class Main {
private Main() {}
public static void main(String[] args) {
TelnyxClient client = TelnyxOkHttpClient.fromEnv();
ReleaseRetrieveParams params = ReleaseRetrieveParams.builder()
.id("1293384261075731499")
.releaseId("7b6a6449-b055-45a6-81f6-f6f0dffa4cc6")
.build();
ReleaseRetrieveResponse release = client.externalConnections().releases().retrieve(params);
}
}require "telnyx"
telnyx = Telnyx::Client.new(api_key: "My API Key")
release = telnyx.external_connections.releases.retrieve(
"7b6a6449-b055-45a6-81f6-f6f0dffa4cc6",
id: "1293384261075731499"
)
puts(release)<?php
require_once dirname(__DIR__) . '/vendor/autoload.php';
use Telnyx\Client;
use Telnyx\Core\Exceptions\APIException;
$client = new Client(apiKey: getenv('TELNYX_API_KEY') ?: 'My API Key');
try {
$release = $client->externalConnections->releases->retrieve(
'7b6a6449-b055-45a6-81f6-f6f0dffa4cc6', id: '1293384261075731499'
);
var_dump($release);
} catch (APIException $e) {
echo $e->getMessage();
}telnyx external-connections:releases retrieve \
--api-key 'My API Key' \
--id 1293384261075731499 \
--release-id 7b6a6449-b055-45a6-81f6-f6f0dffa4cc6curl --request GET \
--url https://api.telnyx.com/v2/external_connections/{id}/releases/{release_id} \
--header 'Authorization: Bearer <token>'{
"data": {
"ticket_id": "542c3bca-d247-42bc-8fe7-e01d16ecd761",
"tenant_id": "ea175aba-f47c-4702-9400-efaa42688048",
"status": "pending",
"error_message": "<string>",
"telephone_numbers": [
{
"phone_number": "<string>",
"number_id": "<string>"
}
],
"created_at": "2018-02-02T22:25:27.521Z"
}
}